Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes
tlp::SnapshotDialog Class Reference

`#include <SnapshotDialog.h>`

Collaboration diagram for tlp::SnapshotDialog:
[legend]

List of all members.

## Public Slots

- void accept ()

## Public Member Functions

- SnapshotDialog (View &v, QWidget *parent=NULL)

## Protected Slots

- void widthSpinBoxValueChanged (int value)
- void heightSpinBoxValueChanged (int value)
- void fileNameTextChanged (QString)
- void browseClicked ()
- void copyClicked ()

## Protected Member Functions

- void resizeEvent (QResizeEvent *)
- void sizeSpinBoxValueChanged ()

## Protected Attributes

- View * view
- QGraphicsScene * scene
- QGraphicsPixmapItem * pixmapItem
- LockLabel * lockLabel
- float ratio
- bool inSizeSpinBoxValueChanged

## Constructor & Destructor Documentation

tlp::SnapshotDialog::SnapshotDialog | ( | View & | v,
|  | QWidget * | parent = `NULL`
| ) |  |

## Member Function Documentation

void tlp::SnapshotDialog::accept | ( |  | ) | `[slot]`

void tlp::SnapshotDialog::browseClicked | ( |  | ) | `[protected, slot]`

void tlp::SnapshotDialog::copyClicked | ( |  | ) | `[protected, slot]`

void tlp::SnapshotDialog::fileNameTextChanged | ( | QString |  | ) | `[protected, slot]`

void tlp::SnapshotDialog::heightSpinBoxValueChanged | ( | int | value | ) | `[protected, slot]`

void tlp::SnapshotDialog::resizeEvent | ( | QResizeEvent * |  | ) | `[protected]`

void tlp::SnapshotDialog::sizeSpinBoxValueChanged | ( |  | ) | `[protected]`

void tlp::SnapshotDialog::widthSpinBoxValueChanged | ( | int | value | ) | `[protected, slot]`

## Member Data Documentation

bool tlp::SnapshotDialog::inSizeSpinBoxValueChanged`[protected]`

LockLabel* tlp::SnapshotDialog::lockLabel`[protected]`

QGraphicsPixmapItem* tlp::SnapshotDialog::pixmapItem`[protected]`

float tlp::SnapshotDialog::ratio`[protected]`

QGraphicsScene* tlp::SnapshotDialog::scene`[protected]`

View* tlp::SnapshotDialog::view`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012